Package org.gdal.gdal

## Class Relationship

- java.lang.Object
- - org.gdal.gdal.Relationship

-     public class Relationship
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Relationship​(java.lang.String name, java.lang.String leftTableName, java.lang.String rightTableName, int cardinality)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `GetBackwardPathLabel()` |
    `int` | `GetCardinality()` |
    `int` | `GetFieldType()` |
    `java.lang.String` | `GetForwardPathLabel()` |
    `java.util.Vector` | `GetLeftMappingTableFields()` |
    `java.util.Vector` | `GetLeftTableFields()` |
    `java.lang.String` | `GetLeftTableName()` |
    `java.lang.String` | `GetMappingTableName()` |
    `java.lang.String` | `GetName()` |
    `java.lang.String` | `GetRelatedTableType()` |
    `java.util.Vector` | `GetRightMappingTableFields()` |
    `java.util.Vector` | `GetRightTableFields()` |
    `java.lang.String` | `GetRightTableName()` |
    `int` | `hashCode()` |
    `void` | `SetBackwardPathLabel​(java.lang.String pszLabel)` |
    `void` | `SetForwardPathLabel​(java.lang.String pszLabel)` |
    `void` | `SetLeftMappingTableFields​(java.util.Vector pFields)` |
    `void` | `SetLeftTableFields​(java.util.Vector pFields)` |
    `void` | `SetMappingTableName​(java.lang.String pszName)` |
    `void` | `SetRelatedTableType​(java.lang.String pszType)` |
    `void` | `SetRightMappingTableFields​(java.util.Vector pFields)` |
    `void` | `SetRightTableFields​(java.util.Vector pFields)` |
    `void` | `SetType​(int type)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Relationship

          public Relationship​(java.lang.String name,
                              java.lang.String leftTableName,
                              java.lang.String rightTableName,
                              int cardinality)

  - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetCardinality

          public int GetCardinality()

    - #### GetLeftTableName

          public java.lang.String GetLeftTableName()

    - #### GetRightTableName

          public java.lang.String GetRightTableName()

    - #### GetMappingTableName

          public java.lang.String GetMappingTableName()

    - #### SetMappingTableName

          public void SetMappingTableName​(java.lang.String pszName)

    - #### GetLeftTableFields

          public java.util.Vector GetLeftTableFields()

    - #### GetRightTableFields

          public java.util.Vector GetRightTableFields()

    - #### SetLeftTableFields

          public void SetLeftTableFields​(java.util.Vector pFields)

    - #### SetRightTableFields

          public void SetRightTableFields​(java.util.Vector pFields)

    - #### GetLeftMappingTableFields

          public java.util.Vector GetLeftMappingTableFields()

    - #### GetRightMappingTableFields

          public java.util.Vector GetRightMappingTableFields()

    - #### SetLeftMappingTableFields

          public void SetLeftMappingTableFields​(java.util.Vector pFields)

    - #### SetRightMappingTableFields

          public void SetRightMappingTableFields​(java.util.Vector pFields)

    - #### GetFieldType

          public int GetFieldType()

    - #### SetType

          public void SetType​(int type)

    - #### GetForwardPathLabel

          public java.lang.String GetForwardPathLabel()

    - #### SetForwardPathLabel

          public void SetForwardPathLabel​(java.lang.String pszLabel)

    - #### GetBackwardPathLabel

          public java.lang.String GetBackwardPathLabel()

    - #### SetBackwardPathLabel

          public void SetBackwardPathLabel​(java.lang.String pszLabel)

    - #### GetRelatedTableType

          public java.lang.String GetRelatedTableType()

    - #### SetRelatedTableType

          public void SetRelatedTableType​(java.lang.String pszType)